Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2106671 (CVE-2022-2319, ZDI-CAN-16062) - CVE-2022-2319 xorg-x11-server: X.Org Server ProcXkbSetGeometry out-of-bounds access
Summary: CVE-2022-2319 xorg-x11-server: X.Org Server ProcXkbSetGeometry out-of-bounds ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-2319, ZDI-CAN-16062
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2106688 2108156 2108157 2109033 2110440 2110442 2110475
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-13 09:31 UTC by Sandipan Roy
Modified: 2023-02-27 09:26 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Xorg-x11-server. An out-of-bounds access issue can occur in the ProcXkbSetGeometry function due to improper validation of the request length.
Clone Of:
Environment:
Last Closed: 2022-08-31 20:25:51 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5905 0 None None None 2022-08-04 13:23:01 UTC
Red Hat Product Errata RHSA-2022:7583 0 None None None 2022-11-08 09:44:24 UTC
Red Hat Product Errata RHSA-2022:8221 0 None None None 2022-11-15 10:38:20 UTC
Red Hat Product Errata RHSA-2022:8222 0 None None None 2022-11-15 10:38:26 UTC

Description Sandipan Roy 2022-07-13 09:31:35 UTC
CVE-2022-2319/ZDI-CAN-16062: X.Org Server ProcXkbSetGeometry Out-Of-Bounds Access
https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/938
https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/939

Comment 1 TEJ RATHI 2022-07-13 10:17:09 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 2106688]

Comment 5 Sandipan Roy 2022-07-25 13:09:23 UTC
Created xorg-x11-server-Xwayland tracking bugs for this issue:

Affects: fedora-all [bug 2110475]

Comment 6 errata-xmlrpc 2022-08-04 13:22:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:5905 https://access.redhat.com/errata/RHSA-2022:5905

Comment 7 Product Security DevOps Team 2022-08-31 20:25:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-2319

Comment 8 errata-xmlrpc 2022-11-08 09:44:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7583 https://access.redhat.com/errata/RHSA-2022:7583

Comment 9 errata-xmlrpc 2022-11-15 10:38:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8221 https://access.redhat.com/errata/RHSA-2022:8221

Comment 10 errata-xmlrpc 2022-11-15 10:38:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8222 https://access.redhat.com/errata/RHSA-2022:8222


Note You need to log in before you can comment on or make changes to this bug.